Bug 549489 - cannot install RHEL 4 update 4 64 bit KVM
cannot install RHEL 4 update 4 64 bit KVM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 15:08 EST by Tom Horsley
Modified: 2010-12-03 20:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:23:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xml dump of virtual machine (1.23 KB, text/plain)
2009-12-21 15:10 EST, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2009-12-21 15:08:01 EST
Description of problem:

On my fedora 12 opteron host system, if I run virt-manager and create
a new KVM machine, pointing at the boot.iso extracted from disc1.iso of
the 5 CD RHEL 4 update 4 set (x86_64 version), the kernel panics at or
before I get to the selection of HTTP install.

I always see messages about unstable clock source and driver hogging
interrupts before it does the panic and backtrace a little later.

On my fedora 11 xeon host system, I can install (using the same boot.iso
and selecting HTTP install) just fine. I have no idea if the problem is the
opteron host or the fedora 12 versus fedora 11 version of KVM.

The working fedora 11 system is running:
qemu-kvm-0.10.6-9.fc11.x86_64
kernel-2.6.30.9-90.fc11.x86_64

Version-Release number of selected component (if applicable):
qemu-kvm-0.11.0-12.fc12.x86_64
kernel-2.6.31.6-166.fc12.x86_64

How reproducible:
Crashes at some point every single time. I tried various kernel boot
options and the only thing most of them did was make it crash sooner.

Steps to Reproduce:
1. Extract boot.iso from RHEL4-U4-x86_64-WS-disc1.iso
2. Try to define VM from it (saying OS is linux/RHEL4)
3. Watch kernel panic
  
Actual results:
panic

Expected results:
Installed KVM

Additional info:
I had an old xen based hvm image of rhel 4u4 which I tried to port to KVM,
and it would also not boot and got similar kernel panics (which is why I
was trying to reinstall).

I also tried copying the image file from the fedora 11 system to the
fedora 12 system and running it after I got it installed, and that
also panics.
Comment 1 Tom Horsley 2009-12-21 15:10:55 EST
Created attachment 379702 [details]
xml dump of virtual machine

This is the "virsh dumpxml" of the working version from fedora 11. This is the
xml I used to define the machine on fedora 12 after copying the image.
Comment 2 Bug Zapper 2010-11-03 22:50:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 20:23:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.